Subject: Re: bug#4395: 23.1; byte-compiler loses top-level (put 'x...)

From: Stefan Monnier <[email-masked]>
Date: Fri, 11 Sep 2009 14:59:14 -0400

>> > C-h v the-var
>> 
>> > The doc shown is the original doc string. The top-level `put' had no
>> > effect.
>> 
>> I cannot reproduce this.  Neither with Debian's Emacs-23.1, 
>> nor with the CVS trunk.

> Perhaps it is Windows-only, then.

Everything's possible, tho it does sound unlikely.

> What is the behavior you saw? Did the put take place in the
> byte-compiled file?  When you used C-h v, did you see the new doc
> string (from the put), instead of the original one?

The "expected" one.  Yes.  Yes.
Maybe if you give a more complete and detailed recipe (showing the
exact file content (I used files containing the code you suggested,
with the "..." stripped out), the commands you use to compile the files,
when you exit Emacs and restart it, ...) we can get to the bottom of it.

        Stefan